# ImageFiltering

[![][travis-img]][travis-url]
[![][pkgeval-img]][pkgeval-url]
[![][codecov-img]][codecov-url]
[![][docs-stable-img]][docs-stable-url]
[![][docs-dev-img]][docs-dev-url]

ImageFiltering implements blurring, sharpening, gradient computation,
and other linear filtering operations, as well nonlinear filters like
min/max.

Packages with overlapping functionality that also offer something extra:
- [DSP](https://github.com/JuliaDSP/DSP.jl)

Packages that appear to perform just a subset of what ImageFiltering does:
- [RollingFunctions](https://github.com/JeffreySarnoff/RollingFunctions.jl)
- [LocalFilters](https://github.com/emmt/LocalFilters.jl) (see [ImageMorphology](https://github.com/JuliaImages/ImageMorphology.jl) for the morphological operations of JuliaImages)


<!-- URLS -->

[pkgeval-img]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/I/ImageFiltering.svg
[pkgeval-url]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/report.html
[travis-img]: https://travis-ci.org/JuliaImages/ImageFiltering.jl.svg?branch=master
[travis-url]: https://travis-ci.org/JuliaImages/ImageFiltering.jl
[codecov-img]: http://codecov.io/github/JuliaImages/ImageFiltering.jl/coverage.svg?branch=master
[codecov-url]: http://codecov.io/github/JuliaImages/ImageFiltering.jl?branch=master
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://JuliaImages.github.io/ImageFiltering.jl/stable
[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://JuliaImages.github.io/ImageFiltering.jl/latest
